### Method

# WebKit2WebExtension DOMElement get_bounding_client_rect

#### Declaration [src]

    WebKitDOMClientRect*
    webkit_dom_element_get_bounding_client_rect (
      WebKitDOMElement* self
    )

#### Description [src]

Returns a `WebKitDOMClientRect` representing the size and position of `self` relative to the viewport.

Available since: | 2.18
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Return value

Returns: | `WebKitDOMClientRect`
| A `WebKitDOMClientRect`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.